# Generated by Django 4.1.1 on 2022-09-21 00:58

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="RelatedTo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "who_is_user",
                    models.CharField(blank=True, default="", max_length=20),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Profile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "birth_date",
                    models.DateField(blank=True, default=django.utils.timezone.now),
                ),
                (
                    "phone_number",
                    models.CharField(
                        blank=True,
                        default="000-000-00-00",
                        max_length=15,
                        validators=[
                            django.core.validators.RegexValidator(regex="[0-9]{3}-[0-9]{3}-[0-9]{2}-[0-9]{2}$")
                        ],
                    ),
                ),
                (
                    "avatar",
                    models.ImageField(
                        blank=True,
                        default="../media/ava.png",
                        upload_to="images",
                        validators=[django.core.validators.FileExtensionValidator(["png", "jpeg", "gif"])],
                    ),
                ),
                (
                    "resume",
                    models.FileField(
                        blank=True,
                        upload_to="files",
                        validators=[django.core.validators.FileExtensionValidator(["pdf", "docx"])],
                    ),
                ),
                ("notes", models.TextField(blank=True, default="", max_length=100)),
                (
                    "relation_to",
                    models.ForeignKey(
                        blank=True,
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="profile",
                        to="users.relatedto",
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
